Bug 438568 - mkinitrd package is missing a dependency on diffutils (or possibly on /usr/bin/cmp)
mkinitrd package is missing a dependency on diffutils (or possibly on /usr/bi...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-21 22:26 EDT by Bill Crawford
Modified: 2008-04-12 05:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-12 05:54:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Crawford 2008-03-21 22:26:09 EDT
Description of problem:
bash-3.2# mkinitrd -f /boot/initrd-2.6.25-0.121.rc5.git4.fc9.img 
2.6.25-0.121.rc5.git4.fc9
/sbin/mkinitrd: line 481: cmp: command not found

Version-Release number of selected component (if applicable):


How reproducible:
Manually install minimum dependencies required for "kernel and initscripts" 
onto a new partition using rpm --root. Then chroot into it and try to run 
mkinitrd.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Peter Jones 2008-04-07 11:00:41 EDT
Will be fixed in 6.0.43, thanks.
Comment 2 Bill Crawford 2008-04-12 05:54:35 EDT
Verified, thanks. Is RAWHIDE the correct resolution here?

[root@pikachu Packages]# rpm --root /mnt/rawhide --verbose --hash --upgrade
mkinitrd-6.0.43-1.fc9.i386.rpm nash-6.0.43-1.fc9.i386.rpm 
error: Failed dependencies:
        diffutils is needed by mkinitrd-6.0.43-1.fc9.i386
[root@pikachu Packages]# rpm --root /mnt/rawhide --verbose --hash --upgrade
mkinitrd-6.0.43-1.fc9.i386.rpm nash-6.0.43-1.fc9.i386.rpm
diffutils-2.8.1-21.fc9.i386.rpm 
Preparing...                ########################################### [100%]
   1:diffutils              ########################################### [ 33%]
   2:nash                   ########################################### [ 67%]
   3:mkinitrd               ########################################### [100%]
[root@pikachu Packages]# chroot /mnt/rawhide
bash-3.2# ls /boot
config-2.6.25-0.121.rc5.git4.fc9      System.map-2.6.25-0.121.rc5.git4.fc9
grub                                  vmlinuz
initrd-2.6.25-0.121.rc5.git4.fc9.img  vmlinuz-2.6.25-0.121.rc5.git4.fc9
initrd.img
bash-3.2# mkinitrd -f /boot/initrd-2.6.25-0.121.rc5.git4.fc9.img
2.6.25-0.121.rc5.git4.fc9
error opening /sys/block/*/: No such file or directory
bash-3.2# mount -t sysfs sysfs /sys
bash-3.2# mkinitrd -f /boot/initrd-2.6.25-0.121.rc5.git4.fc9.img
2.6.25-0.121.rc5.git4.fc9
bash-3.2# 

Note You need to log in before you can comment on or make changes to this bug.